Memcached::set
Memcached::setMulti
Memcached
PHP Manual

# Memcached::setByKey

(PECL memcached >= 0.1.0)

Memcached::setByKey — Store an item on a specific server

### Opis

public bool Memcached::setByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::setByKey() is functionally equivalent to Memcached::set, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parametry

`server_key`

  Klucz identyfikujący serwer do przechowywania wartości.

`key`

  Klucz określający przechowywaną wartość.

`value`

  Wartość do przechowania.

`expiration`

  Czas wygaśnięcia, domyślnie 0. Zobacz Czasy wygaśnięcia, aby dowiedzieć się wiecej.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu. Użyj Memcached::getResultCode, jeśli to konieczne.

### Przykłady

Przykład #1 Memcached::setByKey() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
/* keep IP blocks on a certain server */
$m->setByKey('api-cache', 'block-ip:169.254.253.252', 1);
$m->setByKey('api-cache', 'block-ip:169.127.127.202', 1);
?>`

### Zobacz też:

- Memcached::set - Store an item

Memcached::set
Memcached::setMulti
Memcached
PHP Manual